Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

nova-novncproxy fails to connect: handler exception: wrap_socket() got an unexpected keyword argument '_context'

Since upgrading my Ubuntu Openstack installation to run on 20.04 I now get the following error from nova-novncproxy:

handler exception: wrap_socket() got an unexpected keyword argument '_context'

It looks like this may be related to eventlet as can be seen here:

https://github.com/eventlet/eventlet/issues/607

The problem is - Ubuntu ships with Python 3.7 as default now so downgrading full python version because of a bug with one package seems like a bad idea.

Has anyone manage to find a decent workaround / solution to this?

Thanks